import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Key here.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class Key extends Item
{
    private int keycolor;
    /**
     * Act - checks to see if a player avatar is touching the key. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(touches(Avatar.class))
        {
            Avatar avatar = (Avatar) getOneIntersectingObject(Avatar.class);
            avatar.keyholder[keycolor] = 1;
            getWorld().removeObject(this);
        }
    }  
    
    /**
     * Constructor
     * 
     * @param color specified color of the key and door it will unlock
     */
    public Key(int color)
    {
        keycolor = color;
        if(color==1)
            this.setImage("key1.png");
        else if(color==2)
            this.setImage("key2.png");
        else if(color==3)
            this.setImage("key3.png");
        else if(color==4)
            this.setImage("key4.png");
        else if(color==5)
            this.setImage("key5.png");
        else if(color==6)
            this.setImage("key6.png");
        else if(color==7)
            this.setImage("key7.png");
        else if(color==8)
            this.setImage("key8.png");
        else
        {
            keycolor =1;
            this.setImage("key1.png");
        }
    }
}
