import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class LevelExit here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class LevelExit extends Actor
{
    /**
     * Constructor
     */
    public LevelExit()
    {
        setImage("lift-open.png");
    }
    
    /**
     * Act - do whatever the LevelExit wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        check();
    }    
    
    /**
     * Checks to see if it is intersecting the player, if so game goes to next level.
     */
    private void check()
    {
        Actor Avatar;
        Avatar = getOneObjectAtOffset(0, 0, Avatar.class);
        if (Avatar != null)
        {
            World theWorld;
            theWorld = getWorld();
            theWorld.removeObject(Avatar);
            setImage("lift-closed.png");
            Greenfoot.delay(100);
            getWorld().removeObjects(getWorld().getObjects(Creature.class));
            getWorld().removeObjects(getWorld().getObjects(Wall.class));
            getWorld().removeObjects(getWorld().getObjects(Door.class));
            getWorld().removeObjects(getWorld().getObjects(Special_Effect.class));
            theWorld w = (theWorld)getWorld();
            
            w.addScore(1000);
            w.level++;
            w.setLevel(w.level);
            
            /* CHANGE THE 9 TO THE HIGHEST AVAILABLE LEVEL... OTHERWISE IT WILL NOT SHOW UP IN THE GAME!!!!
               the purpose of this code is to force the game to enter the 10th case in the theWorld class
               after all the levels have been completed */          
                
        }
    }
}
