import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Opens doors based on color of plate when a rock is placed on it.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Plate extends Item
{
    private int platecolor;
    private List doorlist;
    private boolean ran=false;
    /**
     * Act - checks to see if a rock has been placed on it. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(touches(Rock.class))
        {
            Rock rock = (Rock) getOneObjectAtOffset(0,0,Rock.class);
            
            if(rock != null && rock.getColor() == platecolor)
            {
                Class doors = Door.class;
                this.setImage("triprocklever.png");
                if(!ran)
                {
                    doorlist = getWorld().getObjects(doors);
                    ran = true;
            
                    for(int i = 0; i< doorlist.size();i++)
                    {
                        Door door = (Door) doorlist.get(i);
                        if(door.doorcolor == platecolor)
                        {
                            getWorld().removeObject(door);
                    
                        }
               
                    }
                }
            }
        }
    } 
    
    /**
     * Contructor
     * 
     * @param color Color is the color of the plate and doors it opens.
     */
     public Plate(int color)
    {
        platecolor = color;
        if(color==1)
            this.setImage("bluerocklever.png");
        else if(color==2)
            this.setImage("redrocklever.png");
        else if(color==3)
            this.setImage("yellowrocklever.png");
        else if(color==4)
            this.setImage("greenrocklever.png");
        else if(color==5)
            this.setImage("orangerocklever.png"); 
        else if(color==6)
            this.setImage("purplerocklever.png");
        else if(color==7)
            this.setImage("brownrocklever.png");
        else if(color==8)
            this.setImage("greyrocklever.png");
        else
        {
            platecolor =0 ;
            this.setImage("triprocklever.png");
        }
    }
}
