import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A Rock is a pushable object that may trigger some types of switches allowing doors to be opened.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class Rock extends Pushable
{
    private int rockcolor;
    /**
     * Act - checks to see if the Rock is being pushed. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        pushed();
    }
    
     /**
     * Constructor
     * 
     * @param color specified color of the rock and panel it will override
     */
    public Rock(int color)
    {
        rockcolor = color;
        if(color==1)
            this.setImage("rock1.png");
        else if(color==2)
            this.setImage("rock2.png");
        else if(color==3)
            this.setImage("rock3.png");
        else if(color==4)
            this.setImage("rock4.png");
        else if(color==5)
            this.setImage("rock5.png");
        else if(color==6)
            this.setImage("rock6.png");
        else if(color==7)
            this.setImage("rock7.png");
        else if(color==8)
            this.setImage("rock8.png");
        else
        {
            rockcolor =1;
            this.setImage("rock1.png");
        }
    }
    
    public int getColor()
    {
        return rockcolor;
    }
}
