import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.*;
import java.net.URL;
import java.util.prefs.Preferences;
/**
 * Write a description of class Save here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SaveButton extends Button
{
    private Preferences pref;
    private boolean prefWorking;
    /**
     * Act - do whatever the Save wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mouseMoved(this))
        {
            this.setImage("save-button-selected.png");          
        }
        else if(Greenfoot.mouseMoved(null))
        {
            this.setImage("save-button.png");
        }
        if(Greenfoot.mouseClicked(this))
        {
            if(Greenfoot.mouseClicked(this))
            {
                try{
                    createSaveFile();
                }catch (Exception e){
                    System.err.println("Exception: " + e.getMessage());
                }
            }
        }
    }
    
    public void createSaveFile() //preferences version
    {
        try{
            pref = Preferences.userNodeForPackage(LoadButton.class);
            prefWorking = true;
        } catch(Exception e){
            prefWorking = false;  
        }
        if(prefWorking)
        {
            theWorld w = (theWorld)getWorld();
            pref.putInt("cs371_game_lives",w.lives);
            pref.putInt("cs371_game_score",w.score);
            pref.putInt("cs371_game_level",w.level);
            
        }
        
    }
    
     public InputStream openFile(String fileName) throws IOException 
    { 
        URL url = getClass().getClassLoader().getResource(fileName); 
        if(url == null) throw new IOException("File not found: " + fileName); 
        return url.openStream();
    }
}

