import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Allows player to be hit once without loosing a life.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class Shield extends Item
{
    private theWorld mworld;
    /**
     * Called upon creation to set which world item is in.
     */
    public void addedToWorld(World world) 
    {
        mworld = (theWorld) world;  
    } // end addedToWorld
    /**
     * Act - Checks to see if player avatar is touching it to collect it. 
     * This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (touches2(Avatar.class))
        {
            mworld.shieldActive = true;
            getWorld().removeObject(this);
        }
    }    
}
