import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.Random;
import java.util.List;
/**
 * Write a description of class BlueGobbler here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Spitter extends Enemy
{
    private int speed =1;
    private double aicheck = Math.random()*100;
    public int color;
    private int cyclecount =1;
    private theWorld w = (theWorld)getWorld();
    private int shootcount = 0;
    private double shoot = Math.random()*100;
    /**
     * Act - do whatever the Gobbler wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(!theWorld.isPaused())
        {
            if(aicheck>50)
            {
                spit();
                this.followRight(speed);

            }
            else
            {
                spit();
                this.followLeft(speed);
            }
            imageChange();
        }
    }   

    public Spitter(int spitcolor)
    {
        color = spitcolor;
        if(color==5)
            this.setImage("spitter1a.png");
        else if(color==6)
            this.setImage("spitter2a.png");
        else if(color==7)
            this.setImage("spitter3a.png");
        else if(color==8)
            this.setImage("spitter4a.png");
        else
        {
            this.setImage("spitter1a.png");
            color = 5;
        }
    }

    private void imageChange()
    {
        if(cyclecount==1)
        {
            if(color==5)
                setImage("spitter1a.png");
            if(color==6)
                setImage("spitter2a.png");
            if(color==7)
                setImage("spitter3a.png");
            if(color==8)
                setImage("spitter4a.png");
        }

        if(cyclecount==20)
        {
            if(color==5)
                setImage("spitter1b.png");
            if(color==6)
                setImage("spitter2b.png");
            if(color==7)
                setImage("spitter3b.png");
            if(color==8)
                setImage("spitter4b.png");
        }

        if(cyclecount==29)
        {
            cyclecount=0;
        }
        cyclecount++;
    }

    public int getColor()
    {
        return color;
    }

    private void spit()
    {
        shootcount++;
        if(shootcount > (250 + shoot) )
        {
            int facing = shootDirection();
            shoot = Math.random()*100;
            shootcount = 0;
            TurretShot shot = new TurretShot(facing);
            if(facing == 1)
            {
                getWorld().addObject(shot,getX(),getY()-20);    
            }

            else if(facing == 2)
            {
                getWorld().addObject(shot,getX()+20,getY());    
            }

            else if(facing == 3)
            {
                getWorld().addObject(shot,getX(),getY()+20);
            }

            else if(facing == 4)
            {
                getWorld().addObject(shot,getX()-20,getY());    
            }
            shoot = 0;            
        }
    }

    private int shootDirection()
    {
        Avatar player = null;
        List list = getWorld().getObjects(Avatar.class);
        if(list.size() > 0)
            player = (Avatar) list.get(0);
        if(player != null)
        {
            int x = player.getX();
            int y = player.getY();
            if(getX() == x)
            {
                if(getX() > x)
                    return 2;
                else
                    return 4;
            }
            else if(getY() == y)
            {
                if(getY() > y)
                    return 1;
                else
                    return 3;
            }
            else if(getX()-x <= getY() - y)
            {
                if(getY() < y)
                    return 3;
                else 
                    return 1;
            }
            else
            {
                if(getX() < x)
                    return 2;
                else
                    return 4;
            }  
        }
        Random generator = new Random();
        int r = generator.nextInt(5);
        return r;
   }
}

