import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * After collecting this item allows player avatar to shoot water bullets.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class WaterGun extends Item
{
    private theWorld mworld;
    
    /**
     * Called when first added, sets which world the item is being used in.
     */
    public void addedToWorld(World world) 
    {
        mworld = (theWorld) world;  
    } // end addedToWorld

    /**
     * Act - Checks to see if player avatar is touching it to collect it. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (touches2(Avatar.class))
        {
            mworld.waterGunActive = true;
            mworld.canCreateNewBullet = true;
            WaterGun gun = new WaterGun();
            mworld.addObject(gun, 320, 20 );
            getWorld().removeObject(this);
        }
    }    
}
