import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class Enemy here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Enemy extends Creature
{
    public int color;
    private boolean blockedL = false;
    private boolean blockedU = false;
    private boolean blockedD = false;
    private boolean blockedR = false;
    private int cyclecount = 0;
    /**
     * Act - do whatever the Enemy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    protected void followLeft(int speed) 
    {
        cyclecount++;
        edgeCheck();
        if(!blockedL)
        {
            moveLeft(speed);
            blockedU=false;
            blockedD=false;
            blockedR=false;
        }
        else if(blockedL)
        {
            if(blockedL && !blockedU)
            {
                moveUp(speed);
                double rand = Math.random() * 100;
                if(rand < 10 && cyclecount >= 60)
                {
                    blockedL=false;
                    cyclecount=0;
                }
            }
            else if(blockedL && blockedR && blockedD && blockedU)
            {
                blockedR=false;
                blockedU=false;
                blockedD=false;
                blockedL=false;
            }
            else if(blockedL && blockedU && blockedD)
            {
                moveRight(speed);
                double rand = Math.random() * 100;
                if(rand < 2 && cyclecount >= 60)
                {
                    blockedU=false;
                    cyclecount=0;
                }
                if(rand > 98 && cyclecount >=60)
                {
                    cyclecount=0;
                    blockedD=false;
                }
            }
            else if(blockedL && blockedU)
            {
                moveDown(speed);
                double rand = Math.random() * 100;
                if(rand < 10 && cyclecount >=60)
                {
                    cyclecount=0;
                    blockedL=false;
                }
            }
            
            
        }
    }   
    
    protected void followRight(int speed) 
    {
        cyclecount++;
        edgeCheck();
        if(!blockedR)
        {
            moveRight(speed);
            blockedU=false;
            blockedD=false;
            blockedL=false;
        }
        else if(blockedR)
        {
            if(blockedR && !blockedD)
            {
                moveDown(speed);
                double rand = Math.random() * 100;
                if(rand < 2 && cyclecount >=40)
                {
                    cyclecount=0;
                    blockedR=false;
                }
            }
            else if(blockedL && blockedR && blockedD && blockedU)
            {
                blockedR=false;
                blockedU=false;
                blockedD=false;
                blockedL=false;
            }
            else if(blockedR && blockedU && blockedD)
            {
                moveLeft(speed);
                double rand = Math.random() * 100;
                if(rand < 2 && cyclecount >=40)
                {
                    cyclecount=0;
                    blockedD=false;
                }
                if(rand > 98 && cyclecount >=40)
                {
                    cyclecount=0;
                    blockedU=false;
                }
            }
            else if(blockedR && blockedD)
            {
                moveUp(speed);
                double rand = Math.random() * 100;
                if(rand < 2 && cyclecount >=40)
                {
                    cyclecount=0;
                    blockedR=false;
                }
            }
            
            
        }
    }
    
    protected void VHunter(int speed)
    {
        Actor player = null;
        World w = (theWorld)getWorld();
        List list = w.getObjects(Avatar.class);
        if(list.size() >0)
            player = (Actor) list.get(0);

        if(player != null){
        if(getY() < player.getY())
        {
            cyclecount++;
            moveDown(speed);
            if(blockedD)
            {
                moveRight(speed);
                if(blockedR)
                {
                    moveLeft(speed);
                }
            }
            else
            {
                blockedR = false;
                blockedL = false;
            }
            if(cyclecount > 40 )
            {
                blockedD = false;
                cyclecount = 0;
            }
        }
        else if(getY() > player.getY())
        {
            cyclecount++;
            moveUp(speed);
            if(blockedU)
            {
                moveLeft(speed);
                if(blockedL)
                {
                    moveRight(speed);
                }
            }
            else
            {
                blockedR = false;
                blockedL = false;
            }
            if(cyclecount >40) 
            {
                blockedU = false;
                cyclecount = 0;
            }
        }
        else
        {
            if(getX() <= player.getX() )
                followRight(speed);
            else
                followLeft(speed);
        }
    }
    }
    
    protected void HHunter(int speed)
    {
        Actor player = null;
        World w = (theWorld)getWorld();
        List list = w.getObjects(Avatar.class);
        if(list.size() >0)
            player = (Actor) list.get(0);
        if(player != null)
        {
            if(getX() < player.getX())
                followRight(speed);
            else if(getX() > player.getX())
                followLeft(speed);
            else
                VHunter(speed);
        }
    }
    
    public void edgeCheck()
    {
        if(getX() <20)
            blockedL=true;
        if(getX() > 540)
            blockedR=true;
        if(getY() > 640)
            blockedD=true;
    }

    private boolean checkLeft(int speed)
    {
        if (this.touches (Obstacle.class) || this.touches (Hazard.class) || this.touches(Pushable.class))
            {
                setLocation(getX() + speed, getY());
                blockedL = true;
            }
        else
            blockedL=false;
        return blockedL;
    }
    
    private boolean checkRight(int speed)
    {
        if (touches (Obstacle.class) || this.touches (Hazard.class) || this.touches(Pushable.class))
            {
                setLocation(getX()- speed, getY());
                blockedR = true;
            }
        else
            blockedR=false;
        return blockedR;
    }
    
    private boolean checkUp(int speed)
    {
        if (touches (Obstacle.class) || this.touches (Hazard.class) || this.touches(Pushable.class))
            {
                setLocation(getX(), getY() + speed);
                blockedU = true;
            }
        else
            blockedU=false;
        return blockedU;
    }
    
    private boolean checkDown(int speed)
    {
        if (touches (Obstacle.class) || this.touches (Hazard.class) || this.touches(Pushable.class))
            {
                setLocation(getX(), getY() - speed);
                blockedD = true;
            }
        else
            blockedD=false;
        return blockedD;
    }
    
    private void moveLeft(int speed)
    {
        if (!this.touches (Obstacle.class))
            {
                setLocation(getX() - speed, getY());
            }
        checkLeft(speed);
    }
    
    private void moveRight(int speed)
    {
        if (!touches (Obstacle.class))
            {
                setLocation(getX()+speed, getY());
                
            }
        checkRight(speed);
    }
    
    private void moveUp(int speed)
    {
        if (!touches (Obstacle.class))
            {
                setLocation(getX(), getY() - speed);
                
            }
        checkUp(speed);
    }
    
    private void moveDown(int speed)
    {
        if (!touches (Obstacle.class))
            {
                setLocation(getX(), getY() + speed);
                
            }
        checkDown(speed);
    }
    
    public int getColor()
    {
        return 0;
    }
}
