import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Extra Life for player avatar that collects it.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class HealthPack extends Item
{
    private theWorld mworld;
    /**
     * Called upon creation to set which world the item is in.
     */
    public void addedToWorld(World world) 
    {
        mworld = (theWorld) world;  
    } // end addedToWorld
    /**
     * Act - Increases number of lives of the player avatar that touches it. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (touches2(Avatar.class))
        {
            if (mworld.lives < 3)
            {
                mworld.lives = 3 ;
            }
            getWorld().removeObject(this);
        }
    }    
}
