import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Abstract class of Items.
 * Items being things that player interacts with that cause no harm to him.
 * 
 * @author Team 3 cs371 fall 2011
 * @version 1.0
 */
public class Item extends MapObject
{
    /**
     * touches - checks to see if the actor is colliding 
     * with another class
     * 
     * @param clss -  takes a class as a parameter to determine
     * if object is "touching" specified class
     */
    public boolean touches (Class clss)
    {
        Actor actor = getOneIntersectingObject(clss);
        actor = getOneIntersectingObject(clss);
        return actor != null;
    }
    
    /**
     * touches2 - checks to see if the actor is overlapping with another class
     * 
     * @param clss - takes a class as a parameter to determine if calling object is overlapping
     * specified type of object
     */
    public boolean touches2 (Class clss)
    {
        List l = getObjectsInRange(30, clss);
        if(l.size() >0)
            return true;
        return false;
    }
    
    
    /**
     * Act - do whatever the Item wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
}
