import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
/**
 * A switch that opens doors of the same color when player avatar touches it.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Lever extends Item
{
    private int levercolor;
    private List list;
    private boolean ran=false;
    /**
     * Act - checks to see if player avatar is touching it, if so opens same colored doors. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(touches(Avatar.class))
        {
            Class doors = Door.class;
            this.setImage("trippedlever.png");
            if(!ran)
            {
                list = getWorld().getObjects(doors);
                ran = true;
            
                for(int i = 0; i< list.size();i++)
                {
                    Door door = (Door) list.get(i);
                    if(door.doorcolor == levercolor)
                    {
                        getWorld().removeObject(door);
                    
                    }
               
                }
            }
        }
    } 
    
    
    /**
     * Contructor
     * 
     * @param color Color of the switch and door it opens.
     */
     public Lever(int color)
    {
        levercolor = color;
        if(color==1)
            this.setImage("bluelever.png");
        else if(color==2)
            this.setImage("redlever.png");
        else if(color==3)
            this.setImage("yellowlever.png");
        else if(color==4)
            this.setImage("greenlever.png");
        else if(color==5)
            this.setImage("orangelever.png"); 
        else if(color==6)
            this.setImage("purplelever.png");
        else if(color==7)
            this.setImage("brownlever.png");
        else if(color==8)
            this.setImage("greylever.png");
        else
        {
            levercolor =0 ;
            this.setImage("trippedlever.png");
        }
    }
}
