import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.*;
import java.net.URL;
import java.util.Scanner;
import java.util.prefs.Preferences;
/**
 * Write a description of class LoadButton here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class LoadButton extends Button
{
    private Preferences pref;
    private boolean prefWorking;
    /**
     * Act - do whatever the LoadButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mouseMoved(this))
        {
            this.setImage("load-button-selected.png");          
        }
        else if(Greenfoot.mouseMoved(null))
        {
            this.setImage("load-button.png");
        }
        if(Greenfoot.mouseClicked(this))
        {
            if(Greenfoot.mouseClicked(this))
            {
                    loadSaveFile();
            }
        }
    }    
    
    public void loadSaveFile() //preference version
    {
        try{
            pref = Preferences.userNodeForPackage(LoadButton.class);   
            prefWorking = true;
        }catch(Exception e){
            prefWorking = false;
        }
        if(prefWorking)
        {
            theWorld w = (theWorld)getWorld();
            w.lives = pref.getInt("cs371_game_lives",0);
            w.score = pref.getInt("cs371_game_score",0);
            w.level = pref.getInt("cs371_game_level",0);
            w.setLevel(w.level);
            w.removeObjects(w.getObjects(Button.class));
        }
    }
    
    public InputStream openFile(String fileName) throws IOException 
    { 
        URL url = getClass().getClassLoader().getResource(fileName); 
        if(url == null) throw new IOException("File not found: " + fileName); 
        return url.openStream();
    }
}
