import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class PoisonNoms here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PoisonNoms extends Special_Effect
{
    private String face;
    private theWorld mworld;
    public void addedToWorld(World world) 
    {
        mworld = (theWorld) world;  
    } // end addedToWorld
    /**
     * Act - do whatever the PoisonNoms wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (face == "right")
            setLocation(getX() + 3, getY());
        if (face== "left")
            setLocation(getX() - 3, getY());
        if (face == "up")
            setLocation(getX(), getY() - 3);
        if (face == "down")
            setLocation(getX(), getY() + 3);
        if(screenCheck())
        {
            mworld.canCreateNewNoms = true;
            getWorld().removeObject(this);
        }        
        else if (touches2(Enemy.class) || touches(Obstacle.class))    
        {
            if (touches2(Gobbler.class))
            {
                destroyGobbler(); 
            }
            else if(touches2(Spitter.class))
            {
                destroySpitter();
            }
            else if (touches2(Skeleton.class))
            {
                deadSkeleton();
            }
            else if (touches(Obstacle.class))
            {
                mworld.canCreateNewNoms = true;
                getWorld().removeObject(this);
            }   
            
        }
        
        
    }    
    
    private void destroyGobbler()
    {
        Actor gobbler;
        gobbler = getOneObjectAtOffset(0, 0, Gobbler.class);
        if (gobbler != null)
        {
            getWorld().removeObject(gobbler);
            mworld.canCreateNewNoms = true;
            mworld.addScore(50);
            getWorld().removeObject(this);
        }
    }
    
    private void destroySpitter()
    {
        Actor spitter;
        spitter = getOneObjectAtOffset(0,0, Spitter.class);
        if(spitter != null)
        {
            getWorld().removeObject(spitter);
            mworld.canCreateNewNoms = true;
            mworld.addScore(100);
            getWorld().removeObject(this);
        }
    }
    
    private void deadSkeleton()
    {
        Skeleton skeleton;
        skeleton = (Skeleton) getOneObjectAtOffset(0,0,Skeleton.class);
        if(skeleton!=null)
        {
            skeleton.dies();
            mworld.canCreateNewNoms = true;
            getWorld().removeObject(this);
        }
    }
    
    public PoisonNoms(String facing)
    {
        face = facing;
    }
}
