import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Enables the player avatar to shoot poisoned food at enemies once collected.
 * 
 * @author Team 3 cs371 fall 2011 
 * @version 1.0
 */
public class PoisonNomsBag extends Item
{
    private theWorld mworld;
    /**
     * Called upon creation to set which world item is in.
     */
    public void addedToWorld(World world) 
    {
        mworld = (theWorld) world;  
    } // end addedToWorld
    /**
     * Act - Checks to see if player avatar is touching item to collect it. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (touches2(Avatar.class))
        {
            mworld.poisonNomsBagActive = true;
            mworld.canCreateNewNoms = true;
            PoisonNomsBag bag = new PoisonNomsBag();
            mworld.addObject(bag, 280, 20 ); 
            getWorld().removeObject(this);
        }
    }    
}
